    001/* ===========================================================
    002 * Orson Charts : a 3D chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C)opyright 2013-2022, by David Gilbert.  All rights reserved.
    006 *
    007 * https://github.com/jfree/orson-charts
    008 *
    009 * This program is free software: you can redistribute it and/or modify
    010 * it under the terms of the GNU General Public License as published by
    011 * the Free Software Foundation, either version 3 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This program is distributed in the hope that it will be useful,
    015 * but WITHOUT ANY WARRANTY; without even the implied warranty of
    016 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    017 * GNU General Public License for more details.
    018 *
    019 * You should have received a copy of the GNU General Public License
    020 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
    021 *
    022 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    023 * Other names may be trademarks of their respective owners.]
    024 *
    025 * If you do not wish to be bound by the terms of the GPL, an alternative
    026 * commercial license can be purchased.  For details, please see visit the
    027 * Orson Charts home page:
    028 *
    029 * http://www.object-refinery.com/orsoncharts/index.html
    030 *
    031 */
    032
    033package org.jfree.chart3d.style;
    034
    035import java.util.EventObject;
    036
    037import org.jfree.chart3d.internal.Args;
    038
    039/**
    040 * An event that signals a change to a {@link ChartStyle}.
    041 * <br><br>
    042 * NOTE: This class is serializable, but the serialization format is subject
    043 * to change in future releases and should not be relied upon for persisting
    044 * instances of this class.
    045 *
    046 * @since 1.2
    047 */
    048@SuppressWarnings("serial")
    049public class ChartStyleChangeEvent extends EventObject {
    050
    051    private ChartStyle style;
    052
    053    /**
    054     * Creates a new event.
    055     *
    056     * @param style  the style ({@code null} not permitted).
    057     */
    058    public ChartStyleChangeEvent(ChartStyle style) {
    059        this(style, style);
    060    }
    061
    062    /**
    063     * Creates a new event.
    064     *
    065     * @param source  the source.
    066     * @param style  the style ({@code null} not permitted).
    067     */
    068    public ChartStyleChangeEvent(Object source, ChartStyle style) {
    069        super(source);
    070        Args.nullNotPermitted(style, "style");
    071        this.style = style;
    072    }
    073
    074    /**
    075     * Returns the chart style that this event is associated with.
    076     *
    077     * @return The style (never {@code null}).
    078     */
    079    public ChartStyle getChartStyle () {
    080        return this.style;
    081    }
    082
    083}